[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorSide

Finds which side to use for anchor

## Declaration

Source position: controls.pp line 1374

`public property TControl.AnchorSide: TAnchorSide read GetAnchorSide;`

## Description

// standard properties, which should be supported by all descendants

Finds which side is to be used to anchor this control, and what relationships it has to other controls nearby.

For complex relationships, use the Side property of the parent class TAnchorSide, and make a reference eg using asrCenter

## See also

#lcl.Controls.TAnchorSide |  | TAnchorSide - the side on which anchoring is to be performed for the current control

The latest version of this document can be found at lazarus-ccr.sourceforge.net.